Search documentation of polar_express

# PolarExpress.Schemas.OAuth2ClientConfiguration (polar_express v0.1.5)

Copy Markdown View Source

OAuth2ClientConfiguration

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.OAuth2ClientConfiguration{
      client_name: String.t() | nil,
      client_uri: String.t() | nil,
      default_sub_type: PolarExpress.Schemas.SubType.t() | nil,
      grant_types: [String.t()] | nil,
      logo_uri: String.t() | nil,
      policy_uri: String.t() | nil,
      redirect_uris: [String.t()] | nil,
      response_types: [String.t()] | nil,
      scope: String.t() | nil,
      token_endpoint_auth_method: String.t() | nil,
      tos_uri: String.t() | nil
    }

- `client_name`
- `client_uri` - Nullable.
- `default_sub_type`
- `grant_types`
- `logo_uri` - Nullable.
- `policy_uri` - Nullable.
- `redirect_uris`
- `response_types`
- `scope`
- `token_endpoint_auth_method` - Possible values: `client_secret_basic`, `client_secret_post`, `none`.
- `tos_uri` - Nullable.

## Functions

# schema_name()